#ifndef DOGCORE_H
#define DOGCORE_H

#include <QObject>
#include <QTimer>
#include <QDateTime>
#include <QVariant>
#include <QFile>
#include <QTextStream>
#include <QProcess>
#include <QStringList>
#include <unistd.h>
#include "logthread.h"

class DogCore : public QObject
{
    Q_OBJECT
public:
    explicit DogCore(QObject *parent = nullptr);
    void start();
    unsigned int chkrootprocmem(QString proname);

signals:

public slots:
    void time_out();

private:
    QTimer *timer;
    bool isWorking;
    uint chkTime[5];
    LogThread *logThread;
};

#endif // DOGCORE_H
